% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: October 2019
% **************************************************************************** %



% **************************************************************************** %
% MATH THEOREMS, DEFINITIONS, PROBLEMS, ...
% **************************************************************************** %
  \usepackage{amsthm}
  \usepackage{enumitem} % TODO past this somewhere more fitting
  % -------------------------------------------------------------------------- % Styles
  % -------------------------------------------------------------------------- %
    \theoremstyle{definition}
    \newtheorem{definition}{Definition}[chapter]
    \theoremstyle{plain}
    \newtheorem{weakform}[definition]{Weak Formulation}
    \theoremstyle{plain}
    \newtheorem{problem}[definition]{Problem}
    \theoremstyle{remark}
    \newtheorem*{remark}{Remark}
    
    \newtheorem{Problem}{Problem}
    \newtheorem{Theorem}{Theorem}


    % \theoremstyle{defintion}
    % \newtheorem{postulate}{Postulate}

    \theoremstyle{definition}
    \newtheorem{theorem}{Theorem}[chapter]

    \theoremstyle{definition}
    \newtheorem{example}{Example}

    \theoremstyle{definition}
    \newtheorem{lemma}{Lemma}


  % -------------------------------------------------------------------------- %

% **************************************************************************** %